package com.zhentao.util;

import com.zhentao.dto.Goods_Dto;

import java.io.UnsupportedEncodingException;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.Map;
import java.util.TreeMap;

public class Verituls {
    public static Boolean VeriUtils(Goods_Dto goods_dto){
        Map<String,String> map = new TreeMap<>();
        map.put("appId",goods_dto.getAppId());
        map.put("reqId",goods_dto.getReqId());
        map.put("reqTime",goods_dto.getReqTime().toString());
        map.put("goodsId",goods_dto.getGoodsId());
        StringBuilder stringBuilder = new StringBuilder();
        Boolean bool = true;
        for (Map.Entry<String,String> m:map.entrySet()) {
            if (bool){
                stringBuilder.append(m.getKey()).append("=").append(m.getValue()).append("&");
                bool=false;
            }else {
                stringBuilder.append("&").append(m.getKey()).append("=").append(m.getValue());
            }
        }
        stringBuilder.append(goods_dto.getAppSecretKey());
        System.err.println(stringBuilder);
        try {
            String md5 = EraHelper.byte2HexStr(MessageDigest.getInstance("MD5").digest(stringBuilder.toString().getBytes("UTF-8")));
            return md5.equals(goods_dto.getSign());
        } catch (NoSuchAlgorithmException e) {
            throw new RuntimeException(e);
        } catch (UnsupportedEncodingException e) {
            throw new RuntimeException(e);
        }
//        String s = DigestUtil.md5Hex(String.valueOf(stringBuilder));

    }
}
